services:
  app:
    build:
      context: .
      target: deps
    ports:
      - "3000:3000"
    env_file:
      - .env
    environment:
      DATABASE_URL: "file:./data/dev.db"
    volumes:
      - ./:/app
      - /app/node_modules
      - app-data:/app/prisma/data
    command: npm run dev

volumes:
  app-data:
